import 'package:freezed_annotation/freezed_annotation.dart';

part 'training_maxes.freezed.dart';
part 'training_maxes.g.dart';

@freezed
abstract class TrainingMaxes with _$TrainingMaxes {
  const factory TrainingMaxes({
    @Default(0.0) double squat,
    @Default(0.0) double pullup,
    @Default(0.0) double dip,
  }) = _TrainingMaxes;

  factory TrainingMaxes.fromJson(Map<String, dynamic> json) =>
      _$TrainingMaxesFromJson(json);
}
